Page MenuHomeFreeBSD

QT: Update Qt 5.15.5 (KDE-patched)
ClosedPublic

Authored by tcberner on Jun 28 2022, 8:09 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 28, 8:28 PM
Unknown Object (File)
Mon, May 20, 12:35 PM
Unknown Object (File)
Sat, May 18, 6:45 PM
Unknown Object (File)
Mon, May 6, 6:51 AM
Unknown Object (File)
Fri, May 3, 5:21 AM
Unknown Object (File)
Thu, May 2, 5:46 PM
Unknown Object (File)
Thu, May 2, 12:39 PM
Unknown Object (File)
Apr 28 2024, 12:20 AM

Details

Summary

This updates our Qt ports to be diffed against the 5.15.5 instead of the 5.15.2 branch (in most cases this is only a labeling change).

  • update patch-collection diff to be against 5.15.5 instead of 5.15.2
  • update devel/qt5-script to 5.15.10
  • drops libressl support for now
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 46157
Build 43046: arc lint + arc unit

Event Timeline

tcberner retitled this revision from qt5: update qtbase to include some further patches to QT: Update Qt 5.15.5 (KDE-patched).Jun 28 2022, 3:12 PM
tcberner edited the summary of this revision. (Show Details)
tcberner edited the test plan for this revision. (Show Details)
tcberner added a reviewer: kde.

misc/qt5-qdoc-data: update distinfo

  • qt5: fix misc/qt5-examples
  • qt5: fix devel/qt5-qdoc-data
  • qt5: fix x11-toolkits/qt5-quick3d plist
  • qt5: fix graphics/qt5-wayland remove integrated patches
  • qt5: fix x11-toolkits/qt5-quickcontrols2 plist
  • qt5: fix devel/qt5-script by only depending on major.minor for the tools (mixed versions)
  • qt5: fix devel/qt5-scripttools chase devel/qt5-script change
This revision was not accepted when it landed; it landed in state Needs Review.Jul 4 2022, 7:32 AM
This revision was automatically updated to reflect the committed changes.